{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "plugin": {
          "properties": {
            "compressedEndpoint": {
              "type": "string"
            },
            "endpoint": {
              "type": "string"
            },
            "metadata": {
              "additionalProperties": {
                "type": "string"
              },
              "type": "object"
            },
            "name": {
              "type": "string"
            },
            "noAuth": {
              "default": false,
              "type": "boolean"
            },
            "noCache": {
              "default": false,
              "type": "boolean"
            },
            "version": {
              "type": "string"
            }
          },
          "type": "object"
        }
      },
      "type": "object"
    },
    "status": {
      "properties": {
        "cacheState": {
          "nullable": true,
          "type": "string"
        },
        "error": {
          "type": "string"
        },
        "observedGeneration": {
          "format": "int64",
          "type": "integer"
        },
        "ready": {
          "default": false,
          "type": "boolean"
        },
        "retryAt": {
          "format": "date-time",
          "type": "string"
        },
        "retryNumber": {
          "type": "integer"
        }
      },
      "required": [
        "observedGeneration"
      ],
      "type": "object"
    }
  },
  "required": [
    "spec"
  ],
  "type": "object"
}
